## org.eclipse.datatools.modelbase.sql.routines.impl
Class RoutineResultTableImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.RoutineResultTableImpl

All Implemented Interfaces:
  RoutineResultTable, SQLObject, Table

    public class RoutineResultTableImpl

extends TableImpl
implements RoutineResultTable

An implementation of the model object 'Routine Result Table'.

Method Summary

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.